Subject: Re: CONFIG_PS3_USE_LPAR_ADDR dramically increases boot time

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 19 Jun 2007 11:23:38 +1000

On Mon, 2007-06-18 at 20:13 -0400, Jimi Xenidis wrote:
> > When CONFIG_PS3_USE_LPAR_ADDR=n a translation in the platform code
> > sets up the page table to map the region to low addresses
> (continuous
> > with the boot mem region), but that translation is not compatible
> > with the mapping scheme used by the spu regions, which use sparse
> mem.
> 
> hmm.. sparse mem is for the linear map. 

SPE local store used to have special struct pages for it in order to
return things from nopage(). It was dodgy and racy. I killed that
recently, it was causing more problem than it was solving. So it should
be fine now. I'm now using nopfn() and inserting the PTEs directly from
the nopfn() hook.

So Geoff, you can remove the option for now or make it n by default.

Ben.